Subject: Re: [PATCH] macvlan: add tap device backend

From: Arnd Bergmann <[email-masked]>
Date: Mon, 10 Aug 2009 15:29:46 +0200

On Monday 10 August 2009, Michael S. Tsirkin wrote:
> 
> > Would it be enough to check the dev_queue_xmit() return
> > code for NETDEV_TX_BUSY?
> > 
> > How would I get notified when it gets free again?
> 
> You can do this by creating a socket. Look at how tun does
> this now.

Hmm, I was hoping to be able to avoid this, because I can
interact more directly with the outbound physical interface
using dev_queue_xmit() instead of netif_rx_ni().

I'll have a look. Thanks,

	Arnd <><